Skip to main content
Fetch a document
curl --request GET \
  --url https://api.cf.ovrsea.com/v1/documents/{id}
import requests

url = "https://api.cf.ovrsea.com/v1/documents/{id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.cf.ovrsea.com/v1/documents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "12345",
  "name": "packing-list-export.pdf",
  "ovrsea_shipment_id": "CDEF",
  "link": "https://client.ovrsea.com/documents/packing-list-export.pdf/download",
  "size": 20000,
  "uploaded_at": "2021-10-11"
}
{}

Path Parameters

id
string
required

Response

Fetch a document given its id

id
string
Example:

"12345"

name
string
Example:

"packing-list-export.pdf"

type
enum<string>
Available options:
null,
packing_list,
commercial_invoice,
master_bill_of_lading,
house_bill_of_lading,
master_airway_bill,
house_airway_bill,
proof_of_delivery,
dangerous_goods_declaration,
material_safety_data_sheet,
exa,
cmr,
ima,
power_of_attorney_customs_declaration,
power_of_attorney_eur1,
eur1,
entry_summary,
t1,
cargo_manifest,
cargo_screening,
lithium_certificate,
carta_de_plastico,
levante,
ddi,
dde,
pickup_form
ovrsea_shipment_id
string
Example:

"CDEF"

Example:

"https://client.ovrsea.com/documents/packing-list-export.pdf/download"

size
integer
Example:

20000

uploaded_at
string
Example:

"2021-10-11"